<?php
require_once( "common.php" );

$err = false;
$param = "";

// 入力チェック
if( trim( $_POST['subject'] ) == "") {
	$err = true;
	if ( $param != "" ) {
		$param .= "&";
	}
	$param .= "e1=1";
}
if( trim( $_POST['usermail'] ) == "") {
	$err = true;
	if ( $param != "" ) {
		$param .= "&";
	}
	$param .= "e2=1";
}
else {
	if( !filter_var($_POST['usermail'], FILTER_VALIDATE_EMAIL)) {
		$err = true;
		if ( $param != "" ) {
			$param .= "&";
		}
		$param .= "e2=2";
	}
}
if( trim( $_POST['body'] ) == "") {
	$err = true;
	if ( $param != "" ) {
		$param .= "&";
	}
	$param .= "e3=1";
}

if ( $err ) {
	$url = "adminmail_1.php?{$param}";
	$url .= "&subject=" . urlencode($_POST['subject']);
	$url .= "&usermail=" . $_POST['usermail'];
	$url .= "&body=" . urlencode($_POST['body']);
	header("Location: {$url}");
	exit();
}

foreach($_POST as $k => $v) {
	$v = str_replace("\"","&#34;",$v);
	$v = str_replace("<","&lt;",$v);
	$_POST[$k] = str_replace(">","&gt;",$v);
}

$_POST["body_html"] = str_replace("\r\n","<br>",$_POST["body"]);
$_POST["body_html"] = str_replace("\n","<br>",$_POST["body_html"]);


?>
<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="utf-8">
<title>管理人へメールを送る</title>

<link type="text/css" rel="stylesheet" href="adminmail.css">

</head>
<body>

<div id="header" style="text-align:left;">
	<a href="adminmail_1.php">リロード</a>
</div>

<div id="container">
	
	<div id="top">
	  <h1>管理人へメールを送る</h1>
	</div>
	
		
	<div id="content">
		<fieldset>
			<legend>送信情報</legend>
			
			<div class="explain">
				<ol>
						<li>下記のフォームを埋めて投稿してください。</li>
						<li>メールアドレスは正しく入力してください。</li>
					</ol>
				<p></p>
			</div>
			
			
			<form action="adminmail_3.php" method="post" class="form">
				<p><label>件名</label></p>
				
				<p><?= $_POST["subject"] ?></p>
				<input type="hidden" name="subject" value="<?= $_POST["subject"] ?>">
				<p><label>メールアドレス</label></p>
				
				<p><?= $_POST["usermail"] ?></p>
				<input type="hidden" name="usermail" value="<?= $_POST["usermail"] ?>">
				<p><label>本文</label></p>
				
				<p><?= $_POST["body_html"] ?></p>
				<input type="hidden" name="body" value="<?= $_POST["body"] ?>">
				<input type="submit" name="edit" value="<< 修正" class="buttons" formaction="adminmail_1.php">
				<input type="submit" name="sendmail" value="送信" class="buttons">
			</form>
		</fieldset>
	</div>
	
	<div class="clear"></div>
	
</div>


</body>
</html>
